#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:web_app_container_show_archived_real_path_enabled, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    Archived real path enabled.

  EOD

  maps_to('/WebAppContainer/%{domain_name}/ShowArchivedRealPathEnabled')
end
