#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:authenticationprovider) do
  include EasyType

  desc <<-EOD
  The security authentication providers of the domain.

  EOD

  defaultto 'DefaultAuthenticator'

  to_translate_to_resource do | raw_resource|
    raw_resource['authenticationprovider']
  end

end

child_of(:wls_authentication_provider, :authenticationprovider) { "#{domain}/#{authenticationprovider}" }
