#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:rowprefetchenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    Enables the data source to prefetch rows.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCDataSourceParams/%{datasource_name}/RowPrefetch')

end
