#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reconnectdelayincrease, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
  The incremental delay time, in seconds, that a messaging bridge instance increases its waiting time between one failed reconnection attempt and the next retry.

  EOD

  maps_to('ReconnectDelayIncrease')
end
